classification
Title: Rename repr to reprlib
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: alexandre.vassalotti Nosy List: alexandre.vassalotti, brett.cannon
Priority: release blocker Keywords:

Created on 2008-05-16 05:03 by brett.cannon, last changed 2008-05-23 05:07 by brett.cannon. This issue is now closed.

Messages (3)
msg66907 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 05:03
The repr module is slated to be renamed reprlib in PEP 3108.
msg67097 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:36
The rename of repr in 2.6 needs to be removed with only a note in the docs 
to remain.
msg67217 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-23 05:06
r635647 and r635649 reverted the module in 3.0.
History
Date User Action Args
2008-05-23 05:08:03brett.cannonunlinkissue2775 dependencies
2008-05-23 05:07:31brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg67217
2008-05-20 04:39:04brett.cannonlinkissue2775 dependencies
2008-05-20 04:36:53brett.cannonsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg67097
versions: - Python 3.0
2008-05-18 17:59:39brett.cannonunlinkissue2775 dependencies
2008-05-16 07:18:12alexandre.vassalottisetstatus: open -> closed
resolution: fixed
2008-05-16 06:38:33alexandre.vassalottisetassignee: alexandre.vassalotti
nosy: + alexandre.vassalotti
2008-05-16 05:04:23brett.cannonlinkissue2775 dependencies
2008-05-16 05:03:19brett.cannoncreate